bootJar {
    archiveFileName = 'ai.jar'
}

dependencies {
    // OpenAI
    implementation "com.theokanning.openai-gpt3-java:service:${openaiVersion}"

    // Azure AI Search
    implementation "com.azure:azure-search-documents:${azureAiSearchVersion}"

    // Feign (for external API calls)
    implementation "io.github.openfeign:feign-jackson:${feignJacksonVersion}"
    implementation "io.github.openfeign:feign-okhttp:${feignJacksonVersion}"

    // H2 Database for local development
    runtimeOnly 'com.h2database:h2'
}
